> ## Documentation Index
> Fetch the complete documentation index at: https://docs.venture.caplia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List the team's custom properties and options



## OpenAPI

````yaml /api-reference/openapi.json get /v1/properties
openapi: 3.0.0
info:
  version: 1.0.0
  title: Caplia Investor API
  description: >-
    Public REST API for the Caplia Investor Portal. Auth: `Authorization: Bearer
    cap_inv_live_<32 chars>`.
  contact:
    name: Caplia
    url: https://docs.venture.caplia.ai
servers:
  - url: https://api.venture.caplia.ai
    description: Production
security: []
paths:
  /v1/properties:
    get:
      tags:
        - Properties
      summary: List the team's custom properties and options
      responses:
        '200':
          description: >-
            The caller team's custom properties with their selectable
            (non-archived) options
          content:
            application/json:
              schema:
                type: object
                properties:
                  properties:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        name:
                          type: string
                        type:
                          type: string
                          enum:
                            - select
                            - multi_select
                            - text
                            - reference
                        options:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                                format: uuid
                              label:
                                type: string
                            required:
                              - id
                              - label
                        validation_pattern:
                          type: string
                          nullable: true
                      required:
                        - id
                        - name
                        - type
                        - options
                        - validation_pattern
                required:
                  - properties
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      request_id:
                        type: string
                    required:
                      - code
                      - message
                      - request_id
                required:
                  - error

````